[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: using libmagic in Emacs?

From: Chong Yidong
Subject: Re: using libmagic in Emacs?
Date: Wed, 19 Aug 2009 09:47:45 -0400
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1 (gnu/linux)

Stefan Monnier <address@hidden> writes:

>> I thought only relatively minor and safe ones,
>> but this one seems to break that rule, at least in my book.
> It looks pretty safe: the first step is to add the Lisp API, which
> should not impact any other code (tho it may cause temporary build
> failures, I guess).  After that, set-auto-mode (and/or image.el, ...)
> will need to be tweaked to also take libmagic into account
> when available.  This should also be fairly simple.

I don't think that sounds simple or safe; however, there's not enough
information to know for sure, until Joakim posts the patch.

>> Maybe we should simply decide right here and now that Emacs 23.2 will
>> be delivered from the RC branch, and open the trunk for all changes,
>> even not-so-safe ones?
> Yes, that's pretty much where we're at, I think, yes.

Actually, if people want to start including more intrusive changes, I
think we should cut a new branch from the current trunk.  This would
postphone the CEDET merge to 23.3.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]